1
0 6
0 19 6
0 19 12
194
164
215
159
203
188
205
174
154
161
221
183
1 20 17
134
149
116
131
98
82
137
140
126
94
95
145
87
124
144
148
108
2 15 7
269
291
258
256
229
253
295
3 17 4
23
5
36
71
4 14 7
360
368
343
333
366
312
352
5 15 5
290
251
243
294
235
1 19 6
6 17 9
33
0
57
54
2
73
29
63
21
7 17 8
22
65
62
64
3
59
30
34
8 15 8
242
257
270
284
236
262
280
226
9 14 7
308
344
328
370
314
321
353
10 20 10
138
118
139
123
122
97
119
147
85
111
11 15 7
274
281
275
299
267
249
261
2 18 6
12 19 11
151
152
157
219
222
160
195
185
196
181
213
13 14 10
342
311
300
363
320
356
335
323
373
325
14 17 6
74
27
6
46
55
38
15 17 6
39
17
9
44
43
70
16 15 5
287
297
292
233
247
17 17 6
25
10
56
31
45
41
3 17 6
18 15 6
240
282
252
245
288
264
19 19 6
190
166
223
187
163
214
20 19 6
224
169
212
191
153
208
21 15 5
276
298
263
255
289
22 14 9
303
371
337
374
319
357
340
364
339
23 14 4
315
310
332
372
4 16 6
24 15 3
254
265
227
25 14 6
305
351
359
334
331
302
26 20 7
141
77
105
76
103
102
110
27 17 6
72
35
67
14
37
58
28 14 8
313
365
336
324
362
306
309
330
29 17 6
19
18
61
60
68
4
5 11 6
30 19 5
158
176
197
220
192
31 17 3
11
49
66
32 15 4
296
225
279
234
33 15 4
273
259
244
283
34 14 1
304
35 20 7
136
79
142
101
146
133
128
